Subject: [os2genau_digest] No. 815
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 29 Feb 2004 00:01:03 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 28 February 2004
 Number  815
**************************************************

Subjects for today
 
1   A tale of misery and woe... : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2   IBM DNS woes : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
3  Re:  IBM DNS woes : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 28 Feb 2004 20:40:07 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   A tale of misery and woe...

But at least it has a happy ending! :-)

(and I was planning to attend the meeting on tuesday night!)

Firstly, I must apoligise for the time that the following hosts have been
down:

inet.warpspeed dot com dot au, gpcv.warpspeed dot com dot au, firedragon.warpspeed dot com dot au,
gp.warpspeed dot com dot au and a few others.

They are all on the same machine.

I have two machines of note to this story.

aurora:	a dual 333MHz PII, 128Mb ram, 3 disks: 20Gb boot, and 2 75Gb
disks
spanned to a single 150Gb JFS partition. All IDE. This box has always had
wardware problems and I've not been able to back it up properly.

inet:		a single 400MHz PII, 512Mb ram 2 9Gb SCSI disks
running off a
2940U2W.

Last saturday I went to reboot inet (in preparation to add some disks to
it).

This is where my problems started.

The box did not come correctly, everytime IBM1FLPY.ADD was loaded the
system
would hang (at the hardware level as not even Ctl-Alt-Num-Num did
anything).
So I disabled the floppy, and thereafter it would only hang sometimes.

This box was using an industrial Advantech board with a passive back plane.
The problem is that this is the second time I've lost one of these
indistrial boards to the same problem. Pay three times as much for
something
half as reliable.

By monday night I had picked up a new 'real' machine. The new box is a 2GHz
P4 with 512Mb. I moved the two SCSI disks across, reset the video and all
was well. But the reason that I originally rebooted inet was to add the 2
75Gb disks into it. I also wanted to start using a PE Logic SCSI card I've
had for a while (uses the Symbiosis 895 chipset).

I tested the ability to boot the SCSI with the IDE attached it worked on a
spare 10Gb IDE I had. I put WSeB 4.52 onto it (thanks bob).

Then I added in the two 75Gb's and the system did not boot.

The PE Logic card and the system BIOS could not work together to truly boot
from SCSI. As the 10Gb IDE drive that I tested with was a bootable disk,
the
system was using the boot sector on the IDE disk to start, then pick up all
of the boot mgr partitions and allowed it to boot correctly.

The 75's were not bootable disks were they? The result: Press any key to
reboot the system...

Not impressed.

Thinking about it, it made sense, but still took time to work through. In
the end I had to remove the PE Logic card (or not use the 75's which was
the
whole point). The PE Logic card has another annoying habbit, if no devices
are attached it stops at the bios prompt and FORCES you to press a key to
continue, which is a fatal error in an unattended environment. This card is
using the V3.22 bios. Does anyone have a newer version (yes I know that
they
went out of business a few years back)? Anyway, I had to remove the PE
Logic
card and switch back to the 2940U2W.

Then, curretly booting from the SCSI disks, LVM only saw the first of the
two disks as JFS. ??????

Looks like I'll have to recreate the disks. The LVM stuff was good, was
when
I took the original 20Gb IDE boot/OS disk of aurora and booted from it I
could see all of the data. Fine, so I spend a few days backing it up to a
DDS4 tape (how much is a 6+ slot autoloader for DDS drives????) which I
could not do before as aurora's hardware has problems, but works fine in
the
new box! :-)))

Then last night, I deleted the partitions and tried to recreate the newly
spanned partition. I tried 10 times to do this. I could create the
partitions but not the drive letter assignments.

THEN!!!! I remembered that I had been through all of this 4 years
previously. I remembered that I needed the Dani drivers and not the
original
supplied IBM drivers. Once I did that, I could assign the drive letter and
format the disk as JFS.

If I had put the Dani drivers in first, then all I would have had to do
would have been to simply reassign the drive letter (as it now clashed with
one of the SCSI disks).

Oh well, now all I have to do is to restore everything from tape.

Nothing is ever simple is it? I just hope that the tape restore works...
:-)

So, sorry for the long downtime on this list and the website, but life
happens...

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 28 Feb 2004 21:59:01 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   IBM DNS woes

Hi All,
	Can someone please tell me where the IBM DDNS Administrator (the
java program that administers the files) gets it's serial number from?

	Because it is certainly not from the DNSF???.DOM/REV files! If I
edit these files, then when I save them they are set back to what it thinks
it is, not what I set it to.

	The problem is that the tool does not allow you to set the initial
value, or edit it once set.

	If nobody here can tell me where it comes from, then I guess that
I'll have to disassemble the lot and work it out for myself.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 28 Feb 2004 22:29:48 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  IBM DNS woes

On Sat, 28 Feb 2004 21:59:01 +1100 (EDT), Chris Graham [WarpSpeed] wrote:

>Hi All,
>	Can someone please tell me where the IBM DDNS Administrator (the
>java program that administers the files) gets it's serial number from?
>
>	Because it is certainly not from the DNSF???.DOM/REV files! If I
>edit these files, then when I save them they are set back to what it thinks
>it is, not what I set it to.
>
>	The problem is that the tool does not allow you to set the initial
>value, or edit it once set.
>
>	If nobody here can tell me where it comes from, then I guess that
>I'll have to disassemble the lot and work it out for myself.

I appear to have worked it out/gotten the results that I wanted.

When I edited the DNSF000.DOM/REV files **AND** the ones in the backup
directory, I then starting getting the serial number of 2004022801 rather
than 6!

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA

----------------------------------------------------------------------------------